### Property

# Gtk InfoBar:message-type

#### Declaration

    property message-type: Gtk.MessageType [ read, write, construct ]

#### Description [src]

The type of the message.

The type may be used to determine the appearance of the info bar.

Type: | `GtkMessageType`

Default value | GTK_MESSAGE_INFO
Getter method | `gtk_info_bar_get_message_type()`
Setter method | `gtk_info_bar_set_message_type()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no